### Method

# EDataServer XmlDocument get_content

since: 3.26

#### Declaration [src]

    gchar*
    e_xml_document_get_content (
      const EXmlDocument* xml,
      gsize* out_length
    )

#### Description [src]

Gets content of the `xml` as string. The string is nul-terminated, but if `out_length` is also provided, then it doesn’t contain this additional nul character.

Available since: 3.26

#### Parameters

`out_length`

  Type: `gsize*`

  Optional return location for length of the content, or `NULL`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: `gchar*`

Content of the `xml` as newly allocated string. Free it with g_free(), when no longer needed.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.